import React, { Component } from 'react'
import ProductItem from './product-item'
import '../../resources/stylesheets/product-market.css';
import '../../resources/stylesheets/reset.css';


export default class ProductMarket extends Component {
  constructor(props) {
    super(props)
    this.state = {}
  }

  componentDidMount() {
    this.props.getProducts();
    this.props.getPromotions();
  }
  
  render() {
    let products = this.props.products;
    let promotions = this.props.promotions;
    
    products.forEach(prod => {
      promotions.forEach(promo => {
        if (prod.sku === promo.productSku) {
          prod.promo = (promo.discountPercentage * 100);
        }
      });
    });
    
    return (
      <div className="product-market-container">
        <h1 id="product-market-title">Product Market</h1>
        <div className="products-container">
          {this.props.products.map(prod => {
            return (
              <div className={prod.productName ? "product-item-container" : "no-item"} key={ prod.sku }>
                { prod.productName ? 
                  <ProductItem item={ prod }/>
                  : 
                  <div className="product-item">
                    <p id="prod-not-available">This Product is No Longer Available</p>
                  </div> 
                }
              </div>
            )
          })}
        </div>
      </div>
    )
  }
}
